# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawSplitMode Class Reference

`#include <split_mode.h>`

Inheritance diagram for dirac_instr::DrawSplitMode:

[legend]
Collaboration diagram for dirac_instr::DrawSplitMode:

[legend]
List of all members.

## Public Member Functions

- DrawSplitMode (Frame &, DrawFrameMotionParams &, const TwoDArray< int > &)
    Constructor.
- ~DrawSplitMode ()
    Destructor.
- void DrawBlock (int, int)
    Colours a single block according to split mode.
- void DrawLegend ()
    Displays colour legend.

## Private Attributes

- const TwoDArray< int > & m_mode

## Constructor & Destructor Documentation

dirac_instr::DrawSplitMode::DrawSplitMode | ( | Frame & | ,
|  | DrawFrameMotionParams & | ,
|  | const TwoDArray< int > & |  |
| ) |  |  |

dirac_instr::DrawSplitMode::~DrawSplitMode | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawSplitMode::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawSplitMode::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const TwoDArray<int>& dirac_instr::DrawSplitMode::m_mode`[private]`

The documentation for this class was generated from the following file:

- split_mode.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.